net.sf.jasperreports.crosstabs.xml

## Class JRCrosstabColumnGroupFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.JRBaseFactory
  - - net.sf.jasperreports.crosstabs.xml.JRCrosstabGroupFactory
    - - net.sf.jasperreports.crosstabs.xml.JRCrosstabColumnGroupFactory

- All Implemented Interfaces:
    org.apache.commons.digester.ObjectCreationFactory

      public class JRCrosstabColumnGroupFactory
      extends JRCrosstabGroupFactory

  Version:
    $Id: JRCrosstabColumnGroupFactory.java 5960 2013-03-07 14:54:18Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRIBUTE_headerPosition`
    `static java.lang.String` | `ATTRIBUTE_height`
    `static java.lang.String` | `ELEMENT_crosstabHeader`

    - ### Fields inherited from class net.sf.jasperreports.crosstabs.xml.JRCrosstabGroupFactory

      `ATTRIBUTE_name, ATTRIBUTE_totalPosition, ELEMENT_columnGroup, ELEMENT_crosstabColumnHeader, ELEMENT_crosstabTotalColumnHeader`

    - ### Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `digester`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRCrosstabColumnGroupFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createObject(org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class net.sf.jasperreports.crosstabs.xml.JRCrosstabGroupFactory

      `setGroupAtts`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `getDigester, setDigester`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT_crosstabHeader

          public static final java.lang.String ELEMENT_crosstabHeader

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_height

          public static final java.lang.String ATTRIBUTE_height

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_headerPosition

          public static final java.lang.String ATTRIBUTE_headerPosition

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRCrosstabColumnGroupFactory

          public JRCrosstabColumnGroupFactory()

  - ### Method Detail

    - #### createObject

          public java.lang.Object createObject(org.xml.sax.Attributes attributes)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com